---
title: Delete image
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Images](https://developers.cloudflare.com/api/python/resources/images)

[V1](https://developers.cloudflare.com/api/python/resources/images/subresources/v1)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete image

images.v1.delete(strimage\_id, V1DeleteParams\*\*kwargs) -> [V1DeleteResponse](<https://developers.cloudflare.com/api/python/resources/images#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/images/v1/{image\_id}

Delete an image on Cloudflare Images. On success, all copies of the image are deleted and purged from cache.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Images Write`

##### ParametersExpand Collapse

account\_id: str

Account identifier tag.

maxLength32

[Link to this property](<#(resource)%20images.v1%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

image\_id: str

Image unique identifier.

maxLength32

[Link to this property](<#(resource)%20images.v1%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20image_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

Union\[str, object]

</summary>

One of the following:

str

<a href="#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

object

<a href="#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1%20%3E%20(model)%20v1_delete_response%20%3E%20(schema)>)

### Delete image

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
v1 = client.images.v1.delete(
    image_id="image_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(v1)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```